#pragma once
#include "grid.h"
#include "player.h"

enum GameState { GameFloor, GameRest, GameDead };

struct Game {
	enum GameState state;
	struct Grid floor;
	struct Grid rest;
	struct Player player;
	struct Player player_rest;
};

struct Game game_init(void);
void game_deinit(struct Game);
