#include "player.h"
#include "tiles.h"
#include <gint/display.h>

extern bopti_image_t bimg_player;

int
player_draw(struct Player player, int scr_x, int scr_y)
{
	const int x = scr_x + player.x * TILE_WIDTH;
	const int y = scr_y + player.y * TILE_HEIGHT;
	if (x < -TILE_WIDTH * 4)
		return 0;
	dimage(x + 2, y + 2, &bimg_player);
	dprint(0, 0, C_RGB(31, 31, 0), "$%d", *player.cash);
	return 1;
}
